# Mute a specific user

Hides all content from a specific user. Can optionally set an expiration time for the mute. Muted users' posts will not appear in timelines or notifications. If the target user is already blocked, returns an error instead. Removes the muted user's posts from your home feed if you follow them. Requires authentication.

Endpoint: POST /api/v1/mute/{userId}
Version: 1.0
Security: header

## Path parameters:

  - `userId` (string, required)
    ID of the user to mute. Must be a valid USER type TypeId.
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

## Query parameters:

  - `duration` (integer,null)
    Seconds after which mute should expire

## Response 400 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


